Child pages
  • Gnome2 removal
Skip to end of metadata
Go to start of metadata

Stage1 goal: remove all gnome 2 libraries and applications from mate image

Stage2 goal: remove all gnome 2 libraries and applications

TypeAffected applicationCommentTODOStatus
Basic librariesgnome/accessibility/at-spi

brltty should be updated to 5.x, should try to compile fresh orca with it, other dependent packages should be dropped or recompiled without at-spi support (or use at-spi2).

DROPDONE
 library/libuniqueUsage is descouragedDROP

DONE

 library/desktop/gnome-desktop DROPDONE
 library/desktop/libbonoboui DROP

Dependent packages:

pkg:/library/desktop/libgnomeui

 library/desktop/libglade DROP

Dependent packages:

pkg:/library/desktop/libbonoboui
pkg:/library/desktop/libgnomeui
pkg:/library/gnome/base-libs
pkg:/library/python/pygtk2-27
pkg:/print/lp/print-manager
pkg:/system/install/gui-install

 library/desktop/libgnome DROP

Dependent packages:

pkg:/desktop/file-manager/gnome-commander
pkg:/library/desktop/libbonoboui
pkg:/library/desktop/libgnomeui
pkg:/library/java/swt

 library/desktop/libgnomecanvas DROP

Dependent packages:

pkg:/library/desktop/libbonoboui
pkg:/library/desktop/libgnomeui
pkg:/library/gnome/base-libs
pkg:/library/python/gnome-python-27

 library/desktop/libgnomeui DROP

Dependent packages:

pkg:/desktop/file-manager/gnome-commander
pkg:/library/java/swt

 library/gnome/base-libsmeta-packagedropDONE
 library/gnome/gcrAlready 3.18keepDONE
 library/gnome/gnome-componentmeta-packagedrop 
 library/gnome/gnome-keyring switch to gcr and likely drop

Dependent apps:

pkg:/library/desktop/libgnomeui

 library/gnome/gnome-libsmeta-packagedrop



 library/gnome/gnome-vfsdeprecated for 9 yearsdrop

Dependent apps:

pkg:/desktop/file-manager/gnome-commander
pkg:/editor/blog/drivel
pkg:/image/editor/inkscape
pkg:/library/audio/gstreamer/plugin/base
pkg:/library/desktop/libgnome
pkg:/library/desktop/libgnomeui
pkg:/library/java/swt
pkg:/media/vlc

 library/gnome/gvfswidely usedkeepDONE
 library/gnome/libgnomekbd drop 
 library/gnome/yelp-toolsAlready 3.xkeepDONE
 library/gnome/yelp-xslAlready 3.xkeepDONE
 library/orbit2  

Dependent packages:

pkg:/gnome/config/gconf
pkg:/gnome/speech/gnome-speech
pkg:/gnome/speech/gnome-speech/driver/gnome-speech-espeak
pkg:/gnome/speech/gnome-speech/driver/gnome-speech-festival
pkg:/library/desktop/libbonoboui
pkg:/library/desktop/libgnome
pkg:/library/desktop/libgsf
pkg:/library/gnome/gnome-component
pkg:/library/libbonobo
pkg:/library/python/pyorbit-27

 library/python/gnome-python dropDONE
 library/python/python-gnome-desktop dropDONE
 library/python/python-gnome-extrasno consumersdropDONE
     

Gnome 2 applications

gnome/accessibility/dasherNo stable release since 4.11. 5.0 beta, https://github.com/ipomoena/dasher still uses old Gnome2 librariesdropDONE
 pkg:/developer/gnome/devhelp Update to 3.xDONE
     
     
     
     
Dependent non-Gnome2 applicationseditor/gobby DropDone
     
 pkg:/desktop/time-slider Update to gtk2 only or look on gtk3 migration 
 pkg:/diagnostic/ddu Likely need complete rewrite (@jollyd?) 
 pkg:/release/os-welcome Rewrite, Look at corresponding S11 package
https://github.com/oracle/solaris-userland/tree/master/components/desktop/os-welcome
Done
 system/input-method/iiim DROPDONE
     
     
  • No labels